.TH adr_format n "Version 2.9.10" "Tina Formats"

.SH NAME
adr_format   \- graphic format for Labelled transition systems

Part of Tina Toolbox for analysis of Petri nets and Time Petri nets
(see also nd, tina, plan, struct, ktzio, selt).

.SH DESCRIPTION

It  is the  format of  graphic files  produced by  the nd  editor when
editing  automata.    An  automaton  is  described  by   a  series  of
declarations of states and edges, followed by a name declaration.  The
automaton described is the superposition of these declarations.

.B Grammar:

.nf
\&.adr			::= (<stdesc>)* (<edgedesc>)* <autdesc>
stdesc			::= 's' <xpos> <ypos> <state> {<anchor> <label> <anchor>}
edgedesc		::= 'e' <state> <state> <label> <anchor>
edgedesc		 |  'e' <state> <ang> <rad> <state> <ang> <rad> <label> <anchor>
autdesc			::= 'h' <aut> <attr>
xpos, ypos, rad		::= FLOAT
ang			::= UFLOAT
aut, state, label	::= ANAME | '{'QNAME'}'
anchor			::= 'n' | 'nw' | 'w' | 'sw' | 's' | 'se' | 'e' | 'ne' | 'c'
FLOAT			::= integer or float (without exponent)
UFLOAT			::= integer or float between 0 and 1 (without exponent)
INT			::= unsigned integer
ANAME			::= see notes below
QNAME			::= see notes below
attr			::= an unspecified number of optional graphic parameters (specifying size, color, etc)
.fi

.B Notes:

State declarations must precede edge declarations.

The last declaration must be the autdesc declaration (h).

Empty lines and lines beginning with '#'are considered comments.

Two forms are admitted for net, place and transition names:
  - ANAME : any non empty string of letters, digits, primes ''' and underscores '_'
  - '{'QNAME'}' : any chain between braces, and in which characters '{', '}', and '\'
	are prefixed by '\'


.SH EXAMPLES

(see example .adr files in the "net" directory of distributions).

.SH SEE ALSO

tina_formats, nd, tina, plan, struct, ktzio, selt

.SH AUTHORS
Bernard Berthomieu, LAAS/CNRS, 2000-2010, Bernard.Berthomieu@laas.fr.

